Bug 653100 - External Drives assigned Non-existent UID when custom partitioning selected on install
Summary: External Drives assigned Non-existent UID when custom partitioning selected o...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 15:03 UTC by Robert Elliott
Modified: 2010-12-07 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-07 22:06:12 UTC
Type: ---


Attachments (Terms of Use)

Description Robert Elliott 2010-11-14 15:03:50 UTC
Description of problem:
Apologies if this isn't anaconda-related; I wasn't sure exactly where it should go. Anyway, I have /home on a partition that I didn't want touched on a new install, so I selected custom install, and kept the same username (upgrading from F12). When asked, I selected 'use the existing home dir as yours'. I was assigned UID 500, but all the untouched partitions for which I'd specified mount points were assigned a UID:GID of 501 (which doesn't exist).

Version-Release number of selected component (if applicable):


How reproducible:
Fresh install, custom partition, reuse home directory
  
Actual results:
All specified mount points given UID:GID that isn't in /etc/passwd

Expected results:
All specified mount points given UID:GID of 500

Additional info:
/ was the only partition formatted. /home and all other partitions (which I have under /mnt) were assigned during the install but otherwise left untouched.

Comment 1 Chris Lumens 2010-11-15 18:04:30 UTC
What UID/GID did you have before upgrading?

Comment 2 Robert Elliott 2010-11-15 19:27:31 UTC
Ah. That didn't occur to me.

Now that you ask, it seems that the most likely answer is that it was 501, and that this isn't a bug at all. However, there've never been more than two users on the computer, and I always added myself as the default user on install. Alas, I've no idea what UID I had, and it's possible that it was 501 when I upgraded from 10->12 (or earlier) via yum.

If there's a way of finding out the original UID, please let me know and I'll dig it out.

Comment 3 Chris Lumens 2010-12-07 22:06:12 UTC
None that I can think of offhand.  Sorry.


Note You need to log in before you can comment on or make changes to this bug.